<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): tiglComputationManager.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e1c3629206a62d7880de84e139cd6012.html">src</a></li><li class="navelem"><a class="el" href="dir_5923310312939235796ca11289acda83.html">common</a></li><li class="navelem"><a class="el" href="dir_7e914d0df9522b7d0832b75c70dc22b2.html">computation</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tiglComputationManager.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="tiglComputationManager_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef TIGLCOMPUTATIONMANAGER_HPP_</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define TIGLCOMPUTATIONMANAGER_HPP_</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">/* Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * modification, are permitted provided that the following conditions</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * are met:</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *    Redistributions of source code must retain the above copyright</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer.</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *    Redistributions in binary form must reproduce the above copyright</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer in the</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *    documentation and/or other materials provided with the</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *    distribution.</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *    Neither the name of Texas Instruments Incorporated nor the names of</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *    its contributors may be used to endorse or promote products derived</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *    from this software without specific prior written permission.</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"> * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment"> * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment"> * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"> * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment"> * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment"> * INCLUDES</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglContainersAggregate_8hpp.html">tiglContainersAggregate.hpp</a>&quot;</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="comment"> * TIGLComputationManager class</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> SUBGRAPH_CLASS, <span class="keyword">typename</span> COMBINER_TYPE, <span class="keyword">typename</span> INIT_TYPE&gt;</div>
<div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="classTIGLComputationManager.html">   76</a></span>&#160;<span class="keyword">class </span><a class="code" href="classTIGLComputationManager.html">TIGLComputationManager</a></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;{</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="comment">    * type definitions</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> SUBGRAPH_CLASS::ID_TYPE ID_TYPE;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> SUBGRAPH_CLASS::EDGE_TYPE EDGE_TYPE;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> SUBGRAPH_CLASS::VERTEX_TYPE VERTEX_TYPE;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> SUBGRAPH_CLASS::MESSAGE_TYPE MESSAGE_TYPE;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> SUBGRAPH_CLASS::VERTEX_ITERATOR VERTEX_ITERATOR;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> SUBGRAPH_CLASS::MESSAGE_BUF_TYPE MESSAGE_BUF_TYPE;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> SUBGRAPH_CLASS::VERTEX_LIST_PTR VERTEX_LIST_PTR;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> vector&lt;MESSAGE_BUF_TYPE&gt;::iterator EXTERNAL_ITERATOR;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> VERTEX_TYPE::ALG_DATA_TYPE ALG_DATA_TYPE;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;   <span class="keyword">typedef</span> <a class="code" href="classTIGLCommunicationAggregateSysMessage.html">TIGLCommunicationAggregateSysMessage&lt;ALG_DATA_TYPE&gt;</a> <a class="code" href="classTIGLCommunicationAggregateSysMessage.html">AGGREGATE_MESSAGE_TYPE</a>;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="comment">    * constructor/destructor</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;   <a class="code" href="classTIGLComputationManager.html#a879099d2e308b25450cc7d1d3016ca4f">TIGLComputationManager</a>();</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;   <a class="code" href="classTIGLComputationManager.html#aba8d4744970ec2a5e8297a00f10cac41">~TIGLComputationManager</a>();</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="comment">    * attributes</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="classTIGLComputationManager.html#a35980108d459ef20496179326a7eeff0">  112</a></span>&#160;   uint_fast32_t <a class="code" href="classTIGLComputationManager.html#a35980108d459ef20496179326a7eeff0">maxSS</a>;</div>
<div class="line"><a name="l00114"></a><span class="lineno"><a class="line" href="classTIGLComputationManager.html#a636f467a499bd29d9151e3dd012c8194">  114</a></span>&#160;   vector&lt;uint_fast32_t&gt; <a class="code" href="classTIGLComputationManager.html#a636f467a499bd29d9151e3dd012c8194">activeList</a>;</div>
<div class="line"><a name="l00116"></a><span class="lineno"><a class="line" href="classTIGLComputationManager.html#a3acf15a44b963c38fac7fe053499fd81">  116</a></span>&#160;   uint_fast32_t <a class="code" href="classTIGLComputationManager.html#a3acf15a44b963c38fac7fe053499fd81">numLocalActive</a>;</div>
<div class="line"><a name="l00118"></a><span class="lineno"><a class="line" href="classTIGLComputationManager.html#a1ea6f01329ffaa968914dbf802febb6e">  118</a></span>&#160;   <span class="keywordtype">bool</span> <a class="code" href="classTIGLComputationManager.html#a1ea6f01329ffaa968914dbf802febb6e">allActive</a>;</div>
<div class="line"><a name="l00120"></a><span class="lineno"><a class="line" href="classTIGLComputationManager.html#a6a468af9d43aacf4c047b60d59549dfe">  120</a></span>&#160;   <a class="code" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt;ALG_DATA_TYPE&gt;</a> <a class="code" href="classTIGLComputationManager.html#a6a468af9d43aacf4c047b60d59549dfe">aggregateInfo</a>;</div>
<div class="line"><a name="l00122"></a><span class="lineno"><a class="line" href="classTIGLComputationManager.html#a9a1d7cc592962f35c0b009f44b52beac">  122</a></span>&#160;   SUBGRAPH_CLASS *<a class="code" href="classTIGLComputationManager.html#a9a1d7cc592962f35c0b009f44b52beac">dataManager</a>;</div>
<div class="line"><a name="l00124"></a><span class="lineno"><a class="line" href="classTIGLComputationManager.html#a56931bcd432a1b5bfdb51e66c0c5aa86">  124</a></span>&#160;   COMBINER_TYPE *<a class="code" href="classTIGLComputationManager.html#a56931bcd432a1b5bfdb51e66c0c5aa86">combiner</a>;</div>
<div class="line"><a name="l00126"></a><span class="lineno"><a class="line" href="classTIGLComputationManager.html#af1ac42b93564a6a2925bc7229ade4f40">  126</a></span>&#160;   uint_fast32_t <a class="code" href="classTIGLComputationManager.html#af1ac42b93564a6a2925bc7229ade4f40">numIdleSysMessages</a>;</div>
<div class="line"><a name="l00128"></a><span class="lineno"><a class="line" href="classTIGLComputationManager.html#a4e749987615a77add6a44801fb35b591">  128</a></span>&#160;   uint_fast32_t <a class="code" href="classTIGLComputationManager.html#a4e749987615a77add6a44801fb35b591">numHaltSysMessages</a>;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="preprocessor">#ifdef  PROFILE_ENABLE</span></div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;   <span class="keywordtype">double</span> computeTime;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;   <span class="keywordtype">double</span> distributeTime;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;   <span class="keywordtype">double</span> combineTime;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;   <span class="keywordtype">double</span> searchTime;</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;   <span class="keywordtype">double</span> initTime;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;   <span class="keywordtype">double</span> readTime;   <span class="comment">//double insertTime;</span></div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;   <span class="keywordtype">double</span> ssTime;</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;   <span class="keywordtype">double</span> preprocessTime;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;<span class="comment">    * Protected Methods</span></div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> ALLOCATOR_TYPE&gt;</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;   <span class="keywordtype">void</span> <a class="code" href="classTIGLComputationManager.html#a24ea788379f2e180e2f409ca2c41393e">distributeOutMessages</a>(vector&lt;MESSAGE_TYPE, ALLOCATOR_TYPE&gt; *outMessages, uint_fast32_t countSS, <span class="keywordtype">int</span> thread);</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;   <span class="keywordtype">void</span> <a class="code" href="classTIGLComputationManager.html#aca32d884b684440682dfcc9544f23da7">combineMessages</a>(<span class="keywordtype">bool</span> oddTimeFlag);</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;   <span class="keywordtype">void</span> <a class="code" href="classTIGLComputationManager.html#ada263bbea0c5f663e3325d0cfe649a95">clearActiveBuffers</a>();</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;   <span class="keywordtype">void</span> <a class="code" href="classTIGLComputationManager.html#a640b3d21343c751076499f91cf9ec84c">InsertActive</a>(uint_fast32_t *allPos, uint_fast16_t count);</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> ALLOCATOR_TYPE&gt;</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;   <span class="keyword">inline</span> uint_fast32_t <a class="code" href="classTIGLComputationManager.html#ab048be6d511aaa45746a471c75135a5d">executeVertex</a>(VERTEX_ITERATOR itVertex, uint_fast32_t pos, <span class="keywordtype">bool</span> oddTimeFlag, vector&lt;MESSAGE_TYPE, ALLOCATOR_TYPE&gt; *outMessages);</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="comment">    * Public Methods</span></div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;   <span class="keywordtype">void</span> <a class="code" href="classTIGLComputationManager.html#a62094a2a7cc365e474911c8cdcf2f42d">reset</a>();</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classTIGLComputationManager.html#a89e5b0d303c95bb327f5448cb0cdafb4">setDataManager</a>(SUBGRAPH_CLASS *dm);</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classTIGLComputationManager.html#a57ed006bd76d3ebabc95783c1d720e98">setCombiner</a>(COMBINER_TYPE *cmb);</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;   <span class="keywordtype">bool</span> <a class="code" href="classTIGLComputationManager.html#a0c19b25315f8617bf955c57ba585708c">isInitialized</a>();</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classTIGLComputationManager.html#a9b2333c170951b5c20e9989431f07061">setMaxSS</a>(uint_fast32_t maxSSVal);</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;   <span class="keywordtype">void</span> <a class="code" href="classTIGLComputationManager.html#a63e04e8ed34a164d431bff438f0820d9">processSystemMessages</a>(uint_fast32_t countSS);</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;   <span class="keywordtype">void</span> <a class="code" href="classTIGLComputationManager.html#ad6620bad7b93a884ac61d8b9dbad72c9">init</a>(INIT_TYPE *initParams);</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;   SS_STATUS <a class="code" href="classTIGLComputationManager.html#a13e218d765c0f7d3ae0364ce9bcac100">superstep</a>(uint_fast32_t countSS);</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;   <span class="keyword">inline</span> uint_fast32_t <a class="code" href="classTIGLComputationManager.html#a3a49c653fe10ede53342578eb8b629a7">getNumExternalMessages</a>();</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;   <span class="keyword">inline</span> uint_fast32_t <a class="code" href="classTIGLComputationManager.html#a183e121a76fbf583ae1361115528a2a5">getPastNumExternalMessages</a>();</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;   <span class="keyword">inline</span> uint_fast32_t <a class="code" href="classTIGLComputationManager.html#ab834aa5a7c594f48b54945ea8c1bcd53">numActive</a>();</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;   uint_fast32_t <a class="code" href="classTIGLComputationManager.html#aaed2a0a1e69e54490fdf19a682333100">getNumIdleSysMessages</a>();</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;   <span class="keywordtype">void</span> <a class="code" href="classTIGLComputationManager.html#aee548a331e88ce34fca4ca44b6542a7d">pushHaltMessage</a>();</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;   uint_fast32_t <a class="code" href="classTIGLComputationManager.html#a4ae39e3f2c0ce1f75683a600cb5bf0e3">getNumHaltSysMessages</a>();</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;<span class="preprocessor">#ifdef  PROFILE_ENABLE</span></div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;   <span class="keywordtype">void</span> printProfilingInfo();</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;};</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglComputationManagerImplementation_8hpp.html">tiglComputationManagerImplementation.hpp</a>&quot;</span></div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* TIGLCOMPUTATIONMANAGER_HPP_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="classTIGLComputationManager_html_aca32d884b684440682dfcc9544f23da7"><div class="ttname"><a href="classTIGLComputationManager.html#aca32d884b684440682dfcc9544f23da7">TIGLComputationManager::combineMessages</a></div><div class="ttdeci">void combineMessages(bool oddTimeFlag)</div><div class="ttdoc">Combines all the messages. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:144</div></div>
<div class="ttc" id="classTIGLComputationManager_html_ab048be6d511aaa45746a471c75135a5d"><div class="ttname"><a href="classTIGLComputationManager.html#ab048be6d511aaa45746a471c75135a5d">TIGLComputationManager::executeVertex</a></div><div class="ttdeci">uint_fast32_t executeVertex(VERTEX_ITERATOR itVertex, uint_fast32_t pos, bool oddTimeFlag, vector&lt; MESSAGE_TYPE, ALLOCATOR_TYPE &gt; *outMessages)</div><div class="ttdoc">Executes a single vertex during a super step. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:323</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a183e121a76fbf583ae1361115528a2a5"><div class="ttname"><a href="classTIGLComputationManager.html#a183e121a76fbf583ae1361115528a2a5">TIGLComputationManager::getPastNumExternalMessages</a></div><div class="ttdeci">uint_fast32_t getPastNumExternalMessages()</div><div class="ttdoc">Returns the number of output message in the previous superstep. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:782</div></div>
<div class="ttc" id="tiglComputationManagerImplementation_8hpp_html"><div class="ttname"><a href="tiglComputationManagerImplementation_8hpp.html">tiglComputationManagerImplementation.hpp</a></div></div>
<div class="ttc" id="classTIGLContainersAggregate_html"><div class="ttname"><a href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; ALG_DATA_TYPE &gt;</a></div></div>
<div class="ttc" id="classTIGLComputationManager_html_a6a468af9d43aacf4c047b60d59549dfe"><div class="ttname"><a href="classTIGLComputationManager.html#a6a468af9d43aacf4c047b60d59549dfe">TIGLComputationManager::aggregateInfo</a></div><div class="ttdeci">TIGLContainersAggregate&lt; ALG_DATA_TYPE &gt; aggregateInfo</div><div class="ttdoc">the aggregate information object </div><div class="ttdef"><b>Definition:</b> tiglComputationManager.hpp:120</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a24ea788379f2e180e2f409ca2c41393e"><div class="ttname"><a href="classTIGLComputationManager.html#a24ea788379f2e180e2f409ca2c41393e">TIGLComputationManager::distributeOutMessages</a></div><div class="ttdeci">void distributeOutMessages(vector&lt; MESSAGE_TYPE, ALLOCATOR_TYPE &gt; *outMessages, uint_fast32_t countSS, int thread)</div><div class="ttdoc">Distributes messages after node execution @ details It processes the output messages after each node ...</div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:106</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a13e218d765c0f7d3ae0364ce9bcac100"><div class="ttname"><a href="classTIGLComputationManager.html#a13e218d765c0f7d3ae0364ce9bcac100">TIGLComputationManager::superstep</a></div><div class="ttdeci">SS_STATUS superstep(uint_fast32_t countSS)</div><div class="ttdoc">Core superstep computation procedure. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:609</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a89e5b0d303c95bb327f5448cb0cdafb4"><div class="ttname"><a href="classTIGLComputationManager.html#a89e5b0d303c95bb327f5448cb0cdafb4">TIGLComputationManager::setDataManager</a></div><div class="ttdeci">void setDataManager(SUBGRAPH_CLASS *dm)</div><div class="ttdoc">Sets the data manager pointer. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:364</div></div>
<div class="ttc" id="classTIGLComputationManager_html_af1ac42b93564a6a2925bc7229ade4f40"><div class="ttname"><a href="classTIGLComputationManager.html#af1ac42b93564a6a2925bc7229ade4f40">TIGLComputationManager::numIdleSysMessages</a></div><div class="ttdeci">uint_fast32_t numIdleSysMessages</div><div class="ttdoc">The number of idle system messages that are received. </div><div class="ttdef"><b>Definition:</b> tiglComputationManager.hpp:126</div></div>
<div class="ttc" id="tiglContainersAggregate_8hpp_html"><div class="ttname"><a href="tiglContainersAggregate_8hpp.html">tiglContainersAggregate.hpp</a></div></div>
<div class="ttc" id="classTIGLComputationManager_html_ada263bbea0c5f663e3325d0cfe649a95"><div class="ttname"><a href="classTIGLComputationManager.html#ada263bbea0c5f663e3325d0cfe649a95">TIGLComputationManager::clearActiveBuffers</a></div><div class="ttdeci">void clearActiveBuffers()</div><div class="ttdoc">Clears the active buffer (this is called for each new superstep) </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:280</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a35980108d459ef20496179326a7eeff0"><div class="ttname"><a href="classTIGLComputationManager.html#a35980108d459ef20496179326a7eeff0">TIGLComputationManager::maxSS</a></div><div class="ttdeci">uint_fast32_t maxSS</div><div class="ttdoc">holds the number of supersteps and the maximum number </div><div class="ttdef"><b>Definition:</b> tiglComputationManager.hpp:112</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a56931bcd432a1b5bfdb51e66c0c5aa86"><div class="ttname"><a href="classTIGLComputationManager.html#a56931bcd432a1b5bfdb51e66c0c5aa86">TIGLComputationManager::combiner</a></div><div class="ttdeci">COMBINER_TYPE * combiner</div><div class="ttdoc">pointer to the data combiner object </div><div class="ttdef"><b>Definition:</b> tiglComputationManager.hpp:124</div></div>
<div class="ttc" id="classTIGLCommunicationAggregateSysMessage_html"><div class="ttname"><a href="classTIGLCommunicationAggregateSysMessage.html">TIGLCommunicationAggregateSysMessage</a></div><div class="ttdoc">Base class for aggregate information messages. </div><div class="ttdef"><b>Definition:</b> tiglCommunicationAggregateSysMessage.hpp:54</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a3a49c653fe10ede53342578eb8b629a7"><div class="ttname"><a href="classTIGLComputationManager.html#a3a49c653fe10ede53342578eb8b629a7">TIGLComputationManager::getNumExternalMessages</a></div><div class="ttdeci">uint_fast32_t getNumExternalMessages()</div><div class="ttdoc">Returns the number of output message. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:770</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a57ed006bd76d3ebabc95783c1d720e98"><div class="ttname"><a href="classTIGLComputationManager.html#a57ed006bd76d3ebabc95783c1d720e98">TIGLComputationManager::setCombiner</a></div><div class="ttdeci">void setCombiner(COMBINER_TYPE *cmb)</div><div class="ttdoc">Sets the combiner pointer. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:379</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a4ae39e3f2c0ce1f75683a600cb5bf0e3"><div class="ttname"><a href="classTIGLComputationManager.html#a4ae39e3f2c0ce1f75683a600cb5bf0e3">TIGLComputationManager::getNumHaltSysMessages</a></div><div class="ttdeci">uint_fast32_t getNumHaltSysMessages()</div><div class="ttdoc">Returns the number of received halt system messages. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:830</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a63e04e8ed34a164d431bff438f0820d9"><div class="ttname"><a href="classTIGLComputationManager.html#a63e04e8ed34a164d431bff438f0820d9">TIGLComputationManager::processSystemMessages</a></div><div class="ttdeci">void processSystemMessages(uint_fast32_t countSS)</div><div class="ttdoc">Processes all system messages. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:424</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a9a1d7cc592962f35c0b009f44b52beac"><div class="ttname"><a href="classTIGLComputationManager.html#a9a1d7cc592962f35c0b009f44b52beac">TIGLComputationManager::dataManager</a></div><div class="ttdeci">SUBGRAPH_CLASS * dataManager</div><div class="ttdoc">pointer to the data manager object </div><div class="ttdef"><b>Definition:</b> tiglComputationManager.hpp:122</div></div>
<div class="ttc" id="classTIGLComputationManager_html_aee548a331e88ce34fca4ca44b6542a7d"><div class="ttname"><a href="classTIGLComputationManager.html#aee548a331e88ce34fca4ca44b6542a7d">TIGLComputationManager::pushHaltMessage</a></div><div class="ttdeci">void pushHaltMessage()</div><div class="ttdoc">Pushes a halt message into the sys message buffer. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:817</div></div>
<div class="ttc" id="classTIGLComputationManager_html_aba8d4744970ec2a5e8297a00f10cac41"><div class="ttname"><a href="classTIGLComputationManager.html#aba8d4744970ec2a5e8297a00f10cac41">TIGLComputationManager::~TIGLComputationManager</a></div><div class="ttdeci">~TIGLComputationManager()</div><div class="ttdoc">Destructor. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:89</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a1ea6f01329ffaa968914dbf802febb6e"><div class="ttname"><a href="classTIGLComputationManager.html#a1ea6f01329ffaa968914dbf802febb6e">TIGLComputationManager::allActive</a></div><div class="ttdeci">bool allActive</div><div class="ttdoc">if enabled: all vertices are active all the time (terminated by max count) </div><div class="ttdef"><b>Definition:</b> tiglComputationManager.hpp:118</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a4e749987615a77add6a44801fb35b591"><div class="ttname"><a href="classTIGLComputationManager.html#a4e749987615a77add6a44801fb35b591">TIGLComputationManager::numHaltSysMessages</a></div><div class="ttdeci">uint_fast32_t numHaltSysMessages</div><div class="ttdoc">The number of halt system messages that are received. </div><div class="ttdef"><b>Definition:</b> tiglComputationManager.hpp:128</div></div>
<div class="ttc" id="classTIGLComputationManager_html_ab834aa5a7c594f48b54945ea8c1bcd53"><div class="ttname"><a href="classTIGLComputationManager.html#ab834aa5a7c594f48b54945ea8c1bcd53">TIGLComputationManager::numActive</a></div><div class="ttdeci">uint_fast32_t numActive()</div><div class="ttdoc">Returns the number of active nodes for the device. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:793</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a879099d2e308b25450cc7d1d3016ca4f"><div class="ttname"><a href="classTIGLComputationManager.html#a879099d2e308b25450cc7d1d3016ca4f">TIGLComputationManager::TIGLComputationManager</a></div><div class="ttdeci">TIGLComputationManager()</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:73</div></div>
<div class="ttc" id="classTIGLComputationManager_html"><div class="ttname"><a href="classTIGLComputationManager.html">TIGLComputationManager</a></div><div class="ttdoc">Core Computation class for the TIGL. </div><div class="ttdef"><b>Definition:</b> tiglComputationManager.hpp:76</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a640b3d21343c751076499f91cf9ec84c"><div class="ttname"><a href="classTIGLComputationManager.html#a640b3d21343c751076499f91cf9ec84c">TIGLComputationManager::InsertActive</a></div><div class="ttdeci">void InsertActive(uint_fast32_t *allPos, uint_fast16_t count)</div><div class="ttdoc">Inserts new vertices in the local active list. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:295</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a3acf15a44b963c38fac7fe053499fd81"><div class="ttname"><a href="classTIGLComputationManager.html#a3acf15a44b963c38fac7fe053499fd81">TIGLComputationManager::numLocalActive</a></div><div class="ttdeci">uint_fast32_t numLocalActive</div><div class="ttdoc">number of active vertices on the current device </div><div class="ttdef"><b>Definition:</b> tiglComputationManager.hpp:116</div></div>
<div class="ttc" id="classTIGLComputationManager_html_ad6620bad7b93a884ac61d8b9dbad72c9"><div class="ttname"><a href="classTIGLComputationManager.html#ad6620bad7b93a884ac61d8b9dbad72c9">TIGLComputationManager::init</a></div><div class="ttdeci">void init(INIT_TYPE *initParams)</div><div class="ttdoc">Initialization procedure. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:501</div></div>
<div class="ttc" id="classTIGLComputationManager_html_aaed2a0a1e69e54490fdf19a682333100"><div class="ttname"><a href="classTIGLComputationManager.html#aaed2a0a1e69e54490fdf19a682333100">TIGLComputationManager::getNumIdleSysMessages</a></div><div class="ttdeci">uint_fast32_t getNumIdleSysMessages()</div><div class="ttdoc">Returns the number of received idle system messages. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:805</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a9b2333c170951b5c20e9989431f07061"><div class="ttname"><a href="classTIGLComputationManager.html#a9b2333c170951b5c20e9989431f07061">TIGLComputationManager::setMaxSS</a></div><div class="ttdeci">void setMaxSS(uint_fast32_t maxSSVal)</div><div class="ttdoc">Sets the maximum number of supersteps. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:411</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a636f467a499bd29d9151e3dd012c8194"><div class="ttname"><a href="classTIGLComputationManager.html#a636f467a499bd29d9151e3dd012c8194">TIGLComputationManager::activeList</a></div><div class="ttdeci">vector&lt; uint_fast32_t &gt; activeList</div><div class="ttdoc">holds the ID of the active vertex list </div><div class="ttdef"><b>Definition:</b> tiglComputationManager.hpp:114</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a0c19b25315f8617bf955c57ba585708c"><div class="ttname"><a href="classTIGLComputationManager.html#a0c19b25315f8617bf955c57ba585708c">TIGLComputationManager::isInitialized</a></div><div class="ttdeci">bool isInitialized()</div><div class="ttdoc">Checks if the object is properly initialized. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:392</div></div>
<div class="ttc" id="classTIGLComputationManager_html_a62094a2a7cc365e474911c8cdcf2f42d"><div class="ttname"><a href="classTIGLComputationManager.html#a62094a2a7cc365e474911c8cdcf2f42d">TIGLComputationManager::reset</a></div><div class="ttdeci">void reset()</div><div class="ttdoc">Resets the compute engine to return to the state before algorithm execution. </div><div class="ttdef"><b>Definition:</b> tiglComputationManagerImplementation.hpp:346</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:52 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
